/*********************************************************************
 * code for world setup
 *
 * written by Doug Lanford, opus@opusgames.com
 * for more info, go to www.opusgames.com
 *
 * This file is provided as freeware
 *********************************************************************/


#include "world.h"

// the position of the screen in the main game world
s24f8_vect2D gWorldPos;
s24f8_vect2D gWorldSize;


/*****************************************************************
 * init the game world
 *
 * IN:		worldX/Y - initial screen position in the world
 * 			worldSizeX/Y - size of the world
 ****************************************************************/
void World_Init (s24f8 worldX, s24f8 worldY, s24f8 worldSizeX, s24f8 worldSizeY)
{
	gWorldSize.x = worldSizeX;
	gWorldSize.y = worldSizeY;

	gWorldPos.x = worldX;
	gWorldPos.y = worldY;
}





